Download it now!
Bug 138427 - Edit Print Range: focus set to wrong input box
Summary: Edit Print Range: focus set to wrong input box
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-23 11:46 UTC by Kevin Suo
Modified: 2020-12-02 10:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2020-11-23 11:46:17 UTC
Steps to Reproduce:
1. New Calc, go to "Format > Print Range > Edit".
2. Click the "Shink" button which is located to the right of "rows to repeat".
3. Click a row, then click the "shrink" button again to go back.

Current Result:
Cell reference set to the first input box (i.e., "Print Range"). 
It seems that when clicking the shrink in step 2 the cursor focus is still in the first input box.

Expected Result:
Cell reference set to the 2nd input box (i.e., "rows to repeat").

6.4.7 release, Fedora 32.
Also reproducible on master and 7.1 beta1.
Comment 1 Kevin Suo 2020-11-23 11:48:09 UTC
Also in 
6.4.0.0.alpha1+
Build ID: 9bc848cf0d301aa57eabcffa101a1cf87bad6470

This is a possible regression and need bibisect with a old bibisect repo.
Comment 2 Kevin Suo 2020-11-23 11:52:44 UTC
This is a dangerous behaviour as you may set a print range which is just one row and not what you want, and is difficult to realize that you have made a mistake here.

Of cause a workaround is to click the 2nd inputbox before you click "shrink".
Comment 3 Kevin Suo 2020-11-23 11:55:31 UTC
And the bad thing is that, if this bug is triggered, the cell reference is set in the first box. If you want to correct this, then it's not enough to just delete the cell reference in the first box - you need to choose from the dropdown and select ”Whole Sheet", otherwise the print range would be set to none.
Comment 4 m.a.riosv 2020-11-24 14:23:53 UTC
For nothing, it's selected after step 3 clicking on the row number, but clicking on a cell it's reproducible.
Version: 7.1.0.0.alpha1+ (x64)
Build ID: 72056f39e01e36afac36c62988331b6813c8214f
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL
Comment 5 Attila Baraksó (NISZ) 2020-11-28 08:31:41 UTC
Bibisected using linux-64-6.4 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit?id=f97dbac73fe149e8fed0932890d0c1d6be4869a3
author: Caolán McNamara <caolanm@redhat.com>
committer: Caolán McNamara <caolanm@redhat.com>
summary: infinite focus changing in toc biblio page

Adding Cc: Caolán McNamara
Comment 6 Commit Notification 2020-12-02 08:46:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0362d16527c2e33b9e0ab2d410b5f0a5b4cee91b

tdf#138427 focus set to wrong input box

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-12-02 08:47:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/475f5cebe3f98f2247c6ad5ab55f60c40efe1c7b

tdf#138427 focus set to wrong input box

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2020-12-02 08:47:52 UTC
fixed in master and 7-1, backport to 7-0 in gerrit
Comment 9 Commit Notification 2020-12-02 10:23:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/b0bc1899fc2cb93f8c4a7b52ffaee379d5fbbd8f

tdf#138427 focus set to wrong input box

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.